Skip to content
OrdersOrder Bumps

Update order bump

Replaces all of the order bump's data; responds 204 with no body.

Path Parameters

orderBumpId*string

Identifier of the order bump.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.ecomiq.pe/api/v1/order-bumps/7204558912004327796" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "name": "Mi tienda",    "description": "Polo de algodón pima para uso diario.",    "status": "draft",    "productId": "7204558912004322039",    "variantId": "7204558912004323197",    "offerPrice": 89,    "minimumCartSubtotal": 178,    "priority": 1,    "maxPerCart": 1,    "startsAt": "2026-09-28T15:30:00Z",    "endsAt": "2026-09-28T15:30:00Z",    "badgeLabel": "Mi tienda",    "callToAction": "Mi tienda"  }'
Empty